Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface SourcesPopupEvents

All Known Implementing Classes:
  DecoratedPopupPanel, DialogBox, LoggingPopup, PopupPanel

Deprecated. use `HasCloseHandlers` instead

    @Deprecated
    public interface SourcesPopupEvents

A widget that implements this interface sources the events defined by the `PopupListener` interface.

Method Summary
`void` | `addPopupListener(PopupListener listener)` Deprecated. use `HasCloseHandlers.addCloseHandler(com.google.gwt.event.logical.shared.CloseHandler)` instead
`void` | `removePopupListener(PopupListener listener)` Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by `HasCloseHandlers.addCloseHandler(com.google.gwt.event.logical.shared.CloseHandler)` instead

Method Detail

### addPopupListener

    @Deprecated
    void addPopupListener(PopupListener listener)

  Deprecated. use `HasCloseHandlers.addCloseHandler(com.google.gwt.event.logical.shared.CloseHandler)` instead

  Adds a listener interface to receive popup events.

  Parameters:
    `listener` - the listener interface to add.

### removePopupListener

    @Deprecated
    void removePopupListener(PopupListener listener)

  Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by `HasCloseHandlers.addCloseHandler(com.google.gwt.event.logical.shared.CloseHandler)` instead

  Removes a previously added popup listener.

  Parameters:
    `listener` - the listener interface to remove.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD